package Models.ChequeClt;

import Models.Client.Client;
import Models.Client.ClientEntreprise;
import Models.Client.ClientPassager;
import Models.User.Profile;
import javafx.collections.ObservableList;

/**
 * @author Maher Ben Tili
 */
public class ChequeClt {
    
    private String CodeChequeClt ;
    private String NumeroChequeClt ;
    private String BanqueChequeClt ;
    private String MontantChequeClt ;
    private Float MontantFloatChequeClt ;
    private String NomCompletChequeClt ;
    private String DatePaiement;
    private String CodeFactureClt ;
    private String DateCreation;
    private String LocalNom; 
    private Profile profile;
    private Integer LastEtat;   // 0 cheque sans provision     1 Verser (Valider)   2 Contre chéque(espace)
    
    public Integer TypeClient ;  //0 Personne  1 Entreprise 2 Passager
    public Client CltPersonne ;
    public ClientEntreprise CltEntreprise ;
    public ClientPassager CltPassager ;
    
    public ObservableList<ChequeCltHistoriqueListe> HistoriqueListe ;
    
    
    public String getCodeChequeClt() {
        return CodeChequeClt;
    }

    public void setCodeChequeClt(String CodeChequeClt) {
        this.CodeChequeClt = CodeChequeClt;
    }

    public String getNumeroChequeClt() {
        return NumeroChequeClt;
    }

    public void setNumeroChequeClt(String NumeroChequeClt) {
        this.NumeroChequeClt = NumeroChequeClt;
    }

    public String getBanqueChequeClt() {
        return BanqueChequeClt;
    }

    public void setBanqueChequeClt(String BanqueChequeClt) {
        this.BanqueChequeClt = BanqueChequeClt;
    }

    public String getMontantChequeClt() {
        return MontantChequeClt;
    }

    public void setMontantChequeClt(String MontantChequeClt) {
        this.MontantChequeClt = MontantChequeClt;
    }

    public Float getMontantFloatChequeClt() {
        return MontantFloatChequeClt;
    }

    public void setMontantFloatChequeClt(Float MontantFloatChequeClt) {
        this.MontantFloatChequeClt = MontantFloatChequeClt;
    }

    
    public String getNomCompletChequeClt() {
        return NomCompletChequeClt;
    }

    public void setNomCompletChequeClt(String NomCompletChequeClt) {
        this.NomCompletChequeClt = NomCompletChequeClt;
    }

    public String getCodeFactureClt() {
        return CodeFactureClt;
    }

    public void setCodeFactureClt(String CodeFactureClt) {
        this.CodeFactureClt = CodeFactureClt;
    }

    

    public String getDatePaiement() {
        return DatePaiement;
    }

    public void setDatePaiement(String DatePaiement) {
        this.DatePaiement = DatePaiement;
    }

    public String getDateCreation() {
        return DateCreation;
    }

    public void setDateCreation(String DateCreation) {
        this.DateCreation = DateCreation;
    }

    public String getLocalNom() {
        return LocalNom;
    }

    public void setLocalNom(String LocalNom) {
        this.LocalNom = LocalNom;
    }

    public Profile getProfile() {
        return profile;
    }

    public void setProfile(Profile pro) {
        this.profile = pro;
    }

    public Integer getTypeClient() {
        return TypeClient;
    }

    public void setTypeClient(Integer TypeClient) {
        this.TypeClient = TypeClient;
    }

    public Client getCltPersonne() {
        return CltPersonne;
    }

    public void setCltPersonne(Client CltPersonne) {
        this.CltPersonne = CltPersonne;
    }

    public ClientEntreprise getCltEntreprise() {
        return CltEntreprise;
    }

    public void setCltEntreprise(ClientEntreprise CltEntreprise) {
        this.CltEntreprise = CltEntreprise;
    }

    public ClientPassager getCltPassager() {
        return CltPassager;
    }

    public void setCltPassager(ClientPassager CltPassager) {
        this.CltPassager = CltPassager;
    }

    public Integer getLastEtat() {
        return LastEtat;
    }

    public void setLastEtat(Integer LastEtat) {
        this.LastEtat = LastEtat;
    }

    public ObservableList<ChequeCltHistoriqueListe> getHistoriqueListe() {
        return HistoriqueListe;
    }

    public void setHistoriqueListe(ObservableList<ChequeCltHistoriqueListe> HistoriqueListe) {
        this.HistoriqueListe = HistoriqueListe;
    }
   
    
}
